curl --request POST \
--url https://api.engagefabric.com/projects/{id}/toggle-status \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.engagefabric.com/projects/{id}/toggle-status"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.engagefabric.com/projects/{id}/toggle-status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"tenantId": "123e4567-e89b-12d3-a456-426614174000",
"name": "My Awesome App",
"slug": "my-awesome-app",
"environment": "PRODUCTION",
"status": "ACTIVE",
"isActive": true,
"tier": "FREE",
"createdAt": "2025-01-15T10:30:00Z",
"updatedAt": "2025-01-15T10:30:00Z",
"description": "Production environment for My Awesome App",
"config": {
"xp": {
"levelCurve": "exponential",
"baseXP": 100
},
"currencies": [
{
"id": "coins",
"name": "Coins"
}
]
},
"metadata": {
"version": "1.0.0"
},
"deletedAt": null,
"_count": {
"players": 150,
"apiKeys": 3
}
}Toggle project active status
Sets project status to ACTIVE or PAUSED. When paused, external API calls using API keys will be rejected.
Authorizations
JWT token for admin console authentication
Path Parameters
Project UUID
Response
Project status toggled successfully
Unique project identifier
"123e4567-e89b-12d3-a456-426614174000"
Tenant ID that owns this project
"123e4567-e89b-12d3-a456-426614174000"
Project name
"My Awesome App"
URL-friendly slug
"my-awesome-app"
Environment type
DEVELOPMENT, STAGING, PRODUCTION "PRODUCTION"
Project status
ACTIVE, PAUSED, ARCHIVED "ACTIVE"
Whether the project is active (status === ACTIVE)
true
Rate limiting tier
FREE, STARTER, PROFESSIONAL, BUSINESS, ENTERPRISE "FREE"
Creation timestamp
"2025-01-15T10:30:00Z"
Last update timestamp
"2025-01-15T10:30:00Z"
Project description
"Production environment for My Awesome App"
Game configuration (XP, currencies, lives, etc.)
{
"xp": {
"levelCurve": "exponential",
"baseXP": 100
},
"currencies": [{ "id": "coins", "name": "Coins" }]
}
Additional metadata
{ "version": "1.0.0" }
Soft deletion timestamp
null
Related entity counts
Show child attributes
Show child attributes
